aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lcms/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-11 17:51:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-11 17:51:00 +0000
commitcded15a29b28c6b9b25c60729e4abd8f2f1c8f8d (patch)
tree61f27e44ef936304bf88b3b2b75b00b4e77079b3 /testing/lcms/APKBUILD
parent0ad80a34dd7d4c3a0a065b1a36bb7cd41ed0512c (diff)
downloadaports-cded15a29b28c6b9b25c60729e4abd8f2f1c8f8d.tar.gz
aports-cded15a29b28c6b9b25c60729e4abd8f2f1c8f8d.tar.bz2
aports-cded15a29b28c6b9b25c60729e4abd8f2f1c8f8d.tar.xz
testing/lcms: new aport
Lightweight color management development library/engine http://www.littlecms.com
Diffstat (limited to 'testing/lcms/APKBUILD')
-rw-r--r--testing/lcms/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/lcms/APKBUILD b/testing/lcms/APKBUILD
new file mode 100644
index 0000000000..7d3d4ca994
--- /dev/null
+++ b/testing/lcms/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lcms
+pkgver=1.19
+pkgrel=0
+pkgdesc="Lightweight color management development library/engine"
+url="http://www.littlecms.com"
+license="custom"
+depends=
+makedepends="tiff-dev jpeg-dev zlib-dev"
+subpackages="$pkgname-dev $pkgname-doc liblcms"
+source="http://downloads.sourceforge.net/project/lcms/lcms/$pkgver/lcms-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm 644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
+}
+
+liblcms() {
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/liblcms.so.* "$subpkgdir"/usr/lib/
+}
+
+md5sums="8af94611baf20d9646c7c2c285859818 lcms-1.19.tar.gz"